Package com.google.android.exoplayer2

## Class SimpleBasePlayer.PeriodData

- java.lang.Object
- - com.google.android.exoplayer2.SimpleBasePlayer.PeriodData

- Enclosing class:
    SimpleBasePlayer

      protected static final class SimpleBasePlayer.PeriodData
      extends Object

  Data describing the properties of a period inside a `SimpleBasePlayer.MediaItemData`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SimpleBasePlayer.PeriodData.Builder` | A builder for `SimpleBasePlayer.PeriodData` objects.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `AdPlaybackState` | `adPlaybackState` | The `AdPlaybackState` of the period, or `AdPlaybackState.NONE` if there are no ads.
    `long` | `durationUs` | The total duration of the period, in microseconds, or `C.TIME_UNSET` if unknown.
    `boolean` | `isPlaceholder` | Whether this period contains placeholder information because the real information has yet to be loaded.
    `Object` | `uid` | The unique identifier of the period within its media item.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SimpleBasePlayer.PeriodData.Builder` | `buildUpon()` | Returns a `SimpleBasePlayer.PeriodData.Builder` pre-populated with the current values.
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uid

          public final Object uid

      The unique identifier of the period within its media item.

    - #### durationUs

          public final long durationUs

      The total duration of the period, in microseconds, or `C.TIME_UNSET` if unknown. Only the last period in a media item can have an unknown duration.

    - #### adPlaybackState

          public final AdPlaybackState adPlaybackState

      The `AdPlaybackState` of the period, or `AdPlaybackState.NONE` if there are no ads.

    - #### isPlaceholder

          public final boolean isPlaceholder

      Whether this period contains placeholder information because the real information has yet to be loaded.

  - ### Method Detail

    - #### buildUpon

          public SimpleBasePlayer.PeriodData.Builder buildUpon()

      Returns a `SimpleBasePlayer.PeriodData.Builder` pre-populated with the current values.

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`